# Get-RASVDIHost

### NAME

Get-RASVDIHost\ <br>

### SYNOPSIS

Retrieves the host VM list from a Provider in real-time.\ <br>

### SYNTAX

Get-RASVDIHost \[-[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#ProviderId)] *\<uint>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#SiteId)] *\<uint>*] -[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#Id) *\<string>* \[-[User](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#User) *\<string>*] \[-[VDITemplateId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#VDITemplateId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#CommonParameters)*>*]\
\
Get-RASVDIHost \[\[-[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#ProviderId)] *\<uint>*] \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#SiteId)] *\<uint>*] \[-[User](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#User) *\<string>*] \[-[VDITemplateId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#VDITemplateId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#CommonParameters)*>*]\
\
Get-RASVDIHost \[-[VDITemplateObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#VDITemplateObj)] *<*[*Template*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Template.html)*>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#SiteId)] *\<uint>*] \[-[User](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#User) *\<string>*] \[-[VDITemplateId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#VDITemplateId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHost.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves the list of host VMs from one or multiple Provider servers.\
\
Returns an array of objects of type VDIHost, each containing properties of a host VM.\
\
To see the complete list of object properties, use the Format-List cmdlet (see examples).\
\
Note: the returned object contains only the major properties of a host VM; it does not include all of the settings supported in RAS.\ <br>

### PARAMETERS

\
-**ProviderId \<uint>**\
The ID of a Provider server from which to obtain the VM list.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the desktop VM list.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<string>**\
The ID of a desktop VM for which to retrieve the information.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**VDITemplateObj <**[**Template**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Template.html)**>**\
The VDI Template for which to retrieve the desktops of.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**VDITemplateId \<uint>**\
The ID of the VDI Template for which to retrieve the desktops of.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**User \<string>**\
The username assigned to Desktop.\
\
If empty square brackets (\[]) are passed, the desktop list will be filtered with those with an assigned user.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[VDIHost](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/VDIHost.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASVDIHost 2 | Format-List\
\
Retrieves the list of host VMs from the specified Provider server from the Licensing Server site.\
\
To get the info from a specific site, specify the -SiteId parameter.\
\
The Format-List cmdlet formats the display output to include the complete list of the returned properties.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASVDIHost -ProviderId 2 -SiteId 2\
\
Retrieves the list of host VMs from the specified Provider server from the specified site.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASVDIHost | Format-List\
\
Retrieves the complete list of host VMs residing on all available Provider servers in the Licensing Server site.\
\
To get the info from a specific site, specify the -SiteId parameter.\
\
The Format-List cmdlet formats the display output to include the complete list of the returned properties.\
\&#xNAN;**---------- EXAMPLE 4 ----------**\
\
Get-RASVDIHost -ProviderId 2 -Id 42311235-09c5-ca15-337d-b9723015edf0\
\
Retrieves the information about a specified host VM residing on the specified Provider server.\
\&#xNAN;**---------- EXAMPLE 5 ----------**\
\
Get-RASVDIHost -VDITemplateObj $TempObj\
\
Retrieves the information about the VDI hosts created from the specified VDI template.<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasvdihost.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
